
QGIS Application - Bug report #16496

"Allow NULL values" in Date/Time widget meaningless 

2017-05-02 01:44 PM - zicke -

Status: Feedback

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24402

Description

The field "aupdate" has a NOT NULL constraint in the geopackage (attached). In such cases the checkbox "Allow NULL values" in the

Date/Time widget should be greyed out.

History

#1 - 2017-05-02 06:29 PM - Giovanni Manghi

- Category changed from Forms to Edit widget

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

alw_vernetzung_test3.gpkg 66 KB 2017-05-02 zicke -
